package jp.integ.struts.lessconfig.config.rule.impl;

import junit.framework.TestCase;

/**
 * パッケージ構成をパスにするアクションパスルールクラスのテストクラスです。
 * 
 * @author Jun Futagawa (Integsystem Corporation)
 * @version $Date:: 2006-09-20 18:43:25 +0900 $
 */
public class QualifiedActionPathNamingRuleTest extends TestCase {
	public void testToQualifiedComponentClass() {
		assertEquals("", QualifiedActionPathNamingRule
				.toQualifiedComponentClass(""));
		assertEquals("/", QualifiedActionPathNamingRule
				.toQualifiedComponentClass("/"));
		assertEquals("/a", QualifiedActionPathNamingRule
				.toQualifiedComponentClass("/a"));
		assertEquals("/a", QualifiedActionPathNamingRule
				.toQualifiedComponentClass("/a/"));
		assertEquals("/a_b", QualifiedActionPathNamingRule
				.toQualifiedComponentClass("/a/b"));
		assertEquals("/a_b_c", QualifiedActionPathNamingRule
				.toQualifiedComponentClass("/a/b/c"));
		assertEquals("/aaa_bbb", QualifiedActionPathNamingRule
				.toQualifiedComponentClass("/aaa/bbb"));
		assertEquals("/aaa_bbb_ccc", QualifiedActionPathNamingRule
				.toQualifiedComponentClass("/aaa/bbb/ccc"));
		assertEquals("/aaa_bbb_ccc", QualifiedActionPathNamingRule
				.toQualifiedComponentClass("/aaa//bbb/ccc"));
	}

	public void testToQualifiedNextPath() {
		assertEquals("", QualifiedActionPathNamingRule.toQualifiedNextPath(""));
		assertEquals("/", QualifiedActionPathNamingRule
				.toQualifiedNextPath("/"));
		assertEquals("/a", QualifiedActionPathNamingRule
				.toQualifiedNextPath("/a"));
		assertEquals("/a", QualifiedActionPathNamingRule
				.toQualifiedNextPath("/a/"));
		assertEquals("/aB", QualifiedActionPathNamingRule
				.toQualifiedNextPath("/a/b"));
		assertEquals("/a/bC", QualifiedActionPathNamingRule
				.toQualifiedNextPath("/a/b/c"));
		assertEquals("/aaaBbb", QualifiedActionPathNamingRule
				.toQualifiedNextPath("/aaa/bbb"));
		assertEquals("/aaa/bbbCcc", QualifiedActionPathNamingRule
				.toQualifiedNextPath("/aaa/bbb/ccc"));
		assertEquals("/user/passwordUpdate", QualifiedActionPathNamingRule
				.toQualifiedNextPath("/user/password/update"));
	}
}
